%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name storops

Name:           python-%{pypi_name}
Version:        0.4.4
Release:        1%{?dist}
Summary:        Library for managing Unity/VNX systems.

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/storops/
Source0:        https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch

%description
Library for managing Unity/VNX systems.

%package -n python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-dateutil >= 2.4.2
Requires:       python-paramiko >= 1.13.0
Requires:       python-requests >= 2.8.1
Requires:       python-six >= 1.9.0
Requires:       python-enum34
Requires:       python-queuelib

BuildRequires:  python2-devel
BuildRequires:  python-ddt
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-setuptools

%description -n python2-%{pypi_name}
Library for managing Unity/VNX systems.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-dateutil >= 2.4.2
Requires:       python3-paramiko >= 1.13.0
Requires:       python3-requests >= 2.8.1
Requires:       python3-six >= 1.9.0
Requires:       python3-queuelib

BuildRequires:  python3-devel
BuildRequires:  python3-ddt
BuildRequires:  python3-six >= 1.9.0

%description -n python3-%{pypi_name}
Library for managing Unity/VNX systems.

%endif

%prep
%setup -q -n %{pypi_name}-%{upstream_version}


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/storops*
%exclude %{python2_sitelib}/test*
%exclude %{python2_sitelib}/comptest*

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/storops*
%exclude %{python3_sitelib}/test*
%exclude %{python3_sitelib}/comptest*
%endif

%changelog
